Bug 1350759 - idmap_hash module works incorrectly when used with other backend modules
Summary: idmap_hash module works incorrectly when used with other backend modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba
Version: 7.2
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: Robin Hack
URL:
Whiteboard:
Depends On: 1316899
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-28 10:08 UTC by Marcel Kolaja
Modified: 2019-11-14 08:32 UTC (History)
9 users (show)

Fixed In Version: samba-4.2.10-6.3.el7_2
Doc Type: Bug Fix
Doc Text:
Previously, the idmap_hash module worked incorrectly when it was used together with other modules. As a consequence, user and group IDs were not mapped properly. A patch has been applied to skip already configured modules. Now, the hash module can be used as the default idmap configuration back end and IDs are resolved correctly.
Clone Of: 1316899
Environment:
Last Closed: 2016-07-26 07:09:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1486 0 normal SHIPPED_LIVE Moderate: samba security and bug fix update 2016-07-26 11:09:01 UTC
Samba Project 11786 0 None None None 2016-06-28 10:08:34 UTC

Description Marcel Kolaja 2016-06-28 10:08:29 UTC
This bug has been copied from bug #1316899 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 7 errata-xmlrpc 2016-07-26 07:09:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1486.html


Note You need to log in before you can comment on or make changes to this bug.